--
-- Tabellenstruktur für Tabelle `css_gutschein_konfig`
--

CREATE TABLE IF NOT EXISTS `css_gutschein_konfig` (
  `voucherPrice` int(10) NOT NULL DEFAULT '0',
  `voucherText` int(10) NOT NULL DEFAULT '0',
  `voucherMail` int(10) NOT NULL DEFAULT '0',
  `voucherName` int(10) NOT NULL DEFAULT '0',
  `voucherTime` int(10) NOT NULL DEFAULT '0',
  `voucherImage` int(10) NOT NULL DEFAULT '0',
  `voucherCode` int(10) NOT NULL DEFAULT '0',
  `voucherMinPrice` double(10,2) NOT NULL DEFAULT '5.00',
  `voucherMaxPrice` double(10,2) NOT NULL DEFAULT '200.00',
  `voucherValidity` int(10) NOT NULL DEFAULT '3',
  `voucherValidityFrom` tinyint(1) NOT NULL DEFAULT '1',
  `voucherTemplateSystem` tinyint(3) NOT NULL DEFAULT '0',
  `cMail` varchar(255) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `css_gutschein_konfig` (`voucherPrice`, `voucherMaxPrice`, `voucherValidity`, `voucherValidityFrom`) VALUES( 5.00, 200.00, 3, 1);


-- --------------------------------------------------------


CREATE TABLE IF NOT EXISTS `css_gutschein_BasketCard` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `kKunde` int(10) NOT NULL DEFAULT '0',
  `kArtikel` int(10) NOT NULL DEFAULT '0',
  `kWarenkorbPersPos` int(10) NOT NULL DEFAULT '0',
  `voucherImageId` int(10) NOT NULL DEFAULT '0',
  `vouchersendTime` varchar(10) NOT NULL DEFAULT '',
  `voucherMail` varchar(255) NOT NULL DEFAULT '',
  `voucherName` varchar(255) NOT NULL,
  `voucherSenderName` varchar(255) NOT NULL,
  `voucherText` text NOT NULL,
  `voucherImage` blob NOT NULL,
  `voucherPrice` double(10,2) NOT NULL DEFAULT '0.00',
  `tstamp` int(10) NOT NULL DEFAULT '0',
  `voucheroptions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Tabellenstruktur für Tabelle `css_gutschein_folders`
--

CREATE TABLE IF NOT EXISTS `css_gutschein_folders` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `voucherFolder` int(10) NOT NULL DEFAULT '0',
  `voucherParent` int(10) NOT NULL DEFAULT '0',
  `voucherImageUrl` varchar(255) NOT NULL DEFAULT '',
  `voucherActive` char(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `css_gutschein_folder_lang`
--

CREATE TABLE IF NOT EXISTS `css_gutschein_folder_lang` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `pid` int(10) NOT NULL DEFAULT '0',
  `voucherFolderName` varchar(255) NOT NULL DEFAULT '',
  `voucherFolderDescription` text NOT NULL,
  `kSprache_kSprache` int(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyIsam DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `css_gutschein_history`
--

CREATE TABLE IF NOT EXISTS `css_gutschein_history` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `pid` int(10) NOT NULL DEFAULT '0',
  `cBestellNr` varchar(20) NOT NULL DEFAULT '',
  `cMail` varchar(255) NOT NULL DEFAULT '',
  `kBestellung` int(10) NOT NULL DEFAULT '0',
  `kWaehrung` int(3) NOT NULL DEFAULT '0',
  `cStatus` int(3) NOT NULL DEFAULT '0',
  `usedValue` double(10,2) NOT NULL DEFAULT '0.00',
  `tstamp` int(10) NOT NULL DEFAULT '0',
  `kRechnungsadresse` int(10) NOT NULL DEFAULT '0',
  `kKunde` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `css_gutschein_image`
--

CREATE TABLE IF NOT EXISTS `css_gutschein_image` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `voucherFolder` int(10) NOT NULL DEFAULT '0',
  `voucherSort` int(10) NOT NULL DEFAULT '0',
  `voucherImageUrl` varchar(255) NOT NULL DEFAULT '',
  `voucherActive` char(1) NOT NULL DEFAULT '0',
  `voucheroptions` text NOT NULL,
  `voucherStandard` varchar(1) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------


--
-- Tabellenstruktur für Tabelle `css_gutschein_kupon`
--

CREATE TABLE IF NOT EXISTS `css_gutschein_kupon` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `pid` int(10) NOT NULL,
  `cBestellNr` varchar(20) NOT NULL,
  `OrderId` int(10) NOT NULL DEFAULT '0',
  `kRechnungsadresse` int(10) NOT NULL DEFAULT '0',
  `kWarenkorbPos` int(10) NOT NULL,
  `kWaehrung` int(3) NOT NULL,
  `voucherMail` varchar(255) NOT NULL DEFAULT '',
  `cMail` varchar(255) NOT NULL DEFAULT '',
  `voucherCode` varchar(20) NOT NULL DEFAULT '',
  `couponWorth` double(10,2) NOT NULL DEFAULT '0.00',
  `DateCreate` int(10) NOT NULL DEFAULT '0',
  `DateExpire` int(10) NOT NULL DEFAULT '0',
  `restVoucherWorth` double(10,2) NOT NULL DEFAULT '0.00',
  `valid` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `css_gutschein_Order`
--

CREATE TABLE IF NOT EXISTS `css_gutschein_Order` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `kKunde` int(10) NOT NULL DEFAULT '0',
  `kRechnungsadresse` int(10) NOT NULL DEFAULT '0',
  `kSprache` tinyint(3) NOT NULL DEFAULT '0',
  `kWaehrung` int(3) NOT NULL,
  `kWarenkorbPos` int(10) NOT NULL DEFAULT '0',
  `kBestellung` int(10) NOT NULL DEFAULT '0',
  `cBestellNr` varchar(20) NOT NULL,
  `voucherImage` int(10) NOT NULL DEFAULT '0',
  `voucherCode` varchar(20) NOT NULL DEFAULT '',
  `vouchersendTime` int(10) NOT NULL DEFAULT '0',
  `vouchersendTimeText` varchar(20) NOT NULL DEFAULT '',
  `voucherMail` varchar(255) NOT NULL DEFAULT '',
  `voucherName` varchar(255) NOT NULL,
  `voucherSenderName` varchar(255) NOT NULL,
  `cMail` varchar(255) NOT NULL DEFAULT '',
  `voucherText` text NOT NULL,
  `voucherPrice` double(10,2) NOT NULL DEFAULT '0.00',
  `tstamp` int(10) NOT NULL DEFAULT '0',
  `cStatus` char(2) NOT NULL DEFAULT '',
  `voucheroptions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


